<?php
session_start();

//ログイン済みかを確認
if (!isset($_SESSION['USER'])) {
    header('Location: ./login.php');
    exit;
}

ini_set('display_errors',"On");

//位置の登録からデータを受け取る
$datas=$_POST;

//経度・緯度の変数宣言
$lat=0.0;
$lon=0.0;

//経度・緯度の値があれば変数に格納する
if(!empty($datas)){
    $lat=$datas["lat"];
    $lon=$datas["lon"];

}

?>
<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>異常箇所の登録</title>
    <style type="text/css">
        body{
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #666;
                width: 100%;
        }

        body .inner{
           max-width: 520px;
           margin: 0 auto; 
        }

        body .inner .btn{
            text-align: right;
        }

        body .inner h2{
            text-align: center;
        }

        body .inner p{
            color: royalblue;
        }

        body .inner .container p{
            display: inline-block;
            margin: 20px 20px;
            color: royalblue;
        }

        body .inner .container input{
            display: inline-block;
            margin: 20px 20px;
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #666;
        }

        body .inner textarea{
            display: inline-block;
            margin: 20px 20px;
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #666;
        }

        body .inner label{
            margin: 10px 10px;
        }

        body .inner #submit{
            display: inline-block;
            margin: 20px 20px;
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #666;
            font-weight: bold;
            color: blue;
        }

        .btn a{
            height: 44px;
            border-radius: 22px;
            padding: 10px 20px;
            background-color: #6c757d;
            color: #fff;
            line-height: 44px;
            text-decoration: none;
        }
    </style>
</head>
<body>
    <div class="inner">
        <h2>異常箇所の新規登録</h2>
        <p class="btn"><a href="./positionReg.php"> 位置登録</a></p>
        <form action="./createProcessing.php" method="POST">
            <input type="hidden" name="astate" value="1">
            <div class="container">
                <p>※登録者(発見者)</p>
                <input type="text" name="registrant" placeholder="10文字以下">
            </div>

            <div class="container">
                <p>発見日</p>
                <input type="date" name="reportDay">
            </div>
            <div class="container">
                <p>発見時間</p>
                <input type="time" name="reportTime">
            </div>
            <p>※位置</p>
            <div class="container">
            <p>緯度</p>
            <input type="text" name="lat" value="<?php echo $lat ?>" >
            </div>
            <div class="container">
            <p>経度</p>
            <input type="text" name="lon" value="<?php echo $lon ?>" >
            </div>
            <p>分類(施設)</p>
            <label><input type="radio" name="facility" value="1">路面</label>
            <label><input type="radio" name="facility" value="2">路面(側)</label>
            <label><input type="radio" name="facility" value="3">法面</label>
            <label><input type="radio" name="facility" value="4">擁壁</label>
            <label><input type="radio" name="facility" value="5">排水施設</label>
            <label><input type="radio" name="facility" value="6">橋梁</label>
            <label><input type="radio" name="facility" value="7">歩道</label>
            <label><input type="radio" name="facility" value="8">道路標識</label>
            <label><input type="radio" name="facility" value="9">植栽帯</label>
            <label><input type="radio" name="facility" value="10">冬季交通確保</label>
            <label><input type="radio" name="facility" value="11">道路状況</label>
            <label><input type="radio" name="facility" value="12" checked>その他</label>
            <br>
            <br>
            <p>※異常内容</p>
            <label><input type="radio" name="substance" value="1">路面補修</label>
            <label><input type="radio" name="substance" value="2">路面清掃</label>
            <label><input type="radio" name="substance" value="3">法面復旧</label>
            <label><input type="radio" name="substance" value="4">落下物処理</label>
            <label><input type="radio" name="substance" value="5">死骸撤去</label>
            <label><input type="radio" name="substance" value="6">除草</label>
            <label><input type="radio" name="substance" value="7">支障木撤去</label>
            <label><input type="radio" name="substance" value="8">側溝清掃</label>
            <label><input type="radio" name="substance" value="9">視線誘導標修繕</label>
            <label><input type="radio" name="substance" value="10">資材支給</label>
            <label><input type="radio" name="substance" value="11" checked>その他</label>
            <br>
            <br>
            <p>緊急度</p>
            <label><input type="radio" name="urgency" value="1">指定無し</label>
            <label><input type="radio" name="urgency" value="2">至急</label>
            <label><input type="radio" name="urgency" value="3">3日以内</label>
            <label><input type="radio" name="urgency" value="4">1週間以内</label>
            <label><input type="radio" name="urgency" value="5">2週間以内</label>
            <label><input type="radio" name="urgency" value="6">1ヶ月以内</label>
            <label><input type="radio" name="urgency" value="7">1ヶ月以上</label>
            <br>
            <br>
            <p>詳細</p>
            <textarea
                name="caption"
                placeholder="詳細内容は200文字以下"
                cols="55" rows="8"
                id="caption"
            ></textarea>
            <input id="submit" type="submit" value="上記の内容で登録する" class="btn" />
        </form>
        <p>※は入力必須項目になります。</p>
        <p class="btn"><a href="./topPage.php"> 戻る</a></p>
    </div>  
</body>
</html>