<?php

session_start();

//ログイン済みかを確認
if (!isset($_SESSION['USER'])) {
    header('Location: ./login.php');
    exit;
}

ini_set('display_errors',"On");

require_once('./sqlEngine.php');

//データを受け取る
$datas=$_POST;

$errMsgs=array();
$errFlag=0;
//バリデーション
if(empty($datas['registrant'])){
    array_push($errMsgs,
    '登録者(発見者)を入力してください。');
}

if(empty($datas['lat'])){
    array_push($errMsgs,
    '緯度を指定してください。');
}

if(empty($datas['lon'])){
    array_push($errMsgs,
    '経度を指定してください。');
}

if($datas['lat']===0){
    array_push($errMsgs,
    '緯度を指定してください。');
}

if($datas['lon']===0){
    array_push($errMsgs,
    '経度を指定してください。');
}

if(mb_strlen($datas['registrant'])>30){
    array_push($errMsgs,
    '登録者は10文字までにしてください。');
}

if(mb_strlen($datas['caption'])>600){
    array_push($errMsgs,
    '詳細内容は200文字以内にしてください。');
}

//sqlEngine.phpのインスタンス
$sqleg=new Sqe();


//新規データを保存
if(count($errMsgs)=== 0){
    $sqleg->dataCreate($datas);
}else{
    $errFlag=1;
}

?>
<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>内容新規登録</title>
    <style type="text/css">
        body{
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #666;
                width: 100%;
        }

        .btn a{
            height: 44px;
            border-radius: 22px;
            padding: 10px 20px;
            background-color: #6c757d;
            color: #fff;
            line-height: 44px;
            text-decoration: none;
        }
    </style>
</head>
<body>
    <?php if($errFlag===1 ) foreach($errMsgs as $msg):?>
    <p><?php echo $msg . '<br>'; ?></p>
    <?php endforeach;?>
    <p class="btn"><a href="<?php if($errFlag===1){echo './anomalyCreate.php';}
    else{echo './topPage.php';}  ?>"> 戻る</a></p>  
</body>
</html>