<?php
session_start();

//ログイン済みかを確認
if (!isset($_SESSION['USER'])) {
    header('Location: ./login.php');
    exit;
}

ini_set('display_errors',"On");

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>位置の登録</title>

    <link rel = "stylesheet" href = "./positionReg_style.css" />
    <script src="https://unpkg.com/leaflet@1.3.0/dist/leaflet.js"></script>

    <style type="text/css">
        #mapid { height: 400px; width: 300px}

        body{
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                        Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                        "Noto Color Emoji";
                        font-size: 20px;
                        color: #666;
        }

        body main{
            max-width: 520px;
            margin: 0 auto;
            padding: 0px 0px;
        }

        body main button{
            margin: 10px 10px;
            background-color: #6c757d;
            color: #fff;
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                        Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                        "Noto Color Emoji";
            font-size: 20px;
            font-weight: bold;
        }

        body main .inner{
            height: 70px;
            border-bottom: none;
        }

        body main .inner p{
            display: inline-block;
        }

        body main .inner input{
            display: inline-block;
        }

        .btn a{
            height: 44px;
            border-radius: 22px;
            padding: 0px 10px;
            background-color: #6c757d;
            color: #fff;
            line-height: 44px;
            text-decoration: none;
            margin: 40px 200px;

        }

        body main .submit{
            padding: 0px 20px;
            margin: 0 20px;
            background-color: #6c757d;
            color: #fff;
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                        Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                        "Noto Color Emoji";
            font-size: 20px;
            font-weight: bold;

        }

    </style>
</head>
<body>

<p><div id="mapid" style="width: 100%; height: 450px; border: solid 1px"></div></p>

<main>
    <p class="btn"><button onclick="currentPos()">今の個所にマーキング
    </button></p>
    
    <form  name="LatLon" action="./anomalyCreate.php" method="post">
        <div class="inner">
            <p>緯度</p>
            <input class="text"  type="text" id="lat" name="lat" value="">
            <br>
            <p>経度</p>
            <input  class="text" type="text" id="lon" name="lon" value="">
        </div>

        <input class="submit" type="submit" value="送信">
    </form>
    <p class="btn"><a href="./anomalyCreate.php"> 戻る</a></p>
</main>

<script>
    var map = L.map('mapid', {center: [35.65856, 139.745461],zoom: 17,}); 

    var tileLayer = L.tileLayer('https://cyberjapandata.gsi.go.jp/xyz/std/{z}/{x}/{y}.png', {
        attribution: "<a href='https://maps.gsi.go.jp/development/ichiran.html' target='_blank'>地理院タイル</a>"
    });
    tileLayer.addTo(map);

    var crossIcon = L.icon({
    iconUrl: "./marker/crosshairs.png",
    iconSize: [32, 32], 
    iconAnchor: [16, 16] 
    });

    var crossMarker = L.marker( map.getCenter(),{
    icon:crossIcon,  
    zIndexOffset:1000, 
    interactive:false 
    }).addTo(map);

    map.on('move', function(e) {
    crossMarker.setLatLng(map.getCenter());
    });

    map.on('moveend', function(e) {
    console.log("緯度: " + map.getCenter().lat);
    console.log("経度: " + map.getCenter().lng);   
    });

    function currentPos(){
        document.getElementById( "lat" ).value = map.getCenter().lat ;
        document.getElementById( "lon" ).value = map.getCenter().lng ;
    }    
</script>
    
</body>
</html>