<?php

ini_set('display_errors',"On");

require_once('./dbc.php');

class Sqe extends Dbc{
    //新規にデータベースに保存
    public function dataCreate($datas){

        $sql="INSERT INTO road_table (astate,registrant,reportDay,reportTime,lat,lon,facility,substance,urgency,caption) VALUES (?,?,?,?,?,?,?,?,?,?)";

        $dbh=$this->dbConnect();

        try{
            $stmt=$dbh->prepare($sql);
            $stmt->bindValue(1,1);
            $stmt->bindValue(2,$datas['registrant']);
            $stmt->bindValue(3,$datas['reportDay']);
            $stmt->bindValue(4,$datas['reportTime']);
            $stmt->bindValue(5,$datas['lat']);
            $stmt->bindValue(6,$datas['lon']);
            $stmt->bindValue(7,$datas['facility']);
            $stmt->bindValue(8,$datas['substance']);
            $stmt->bindValue(9,$datas['urgency']);
            $stmt->bindValue(10,$datas['caption']);
            $stmt->execute();
            echo '保存が完了しました。';
    
        }catch(\Exception $e){
            echo $e->getMessage();
            exit($e);
        }
    }

    //すべてのデータを取得
    public function getAll(){

        $dbh=$this->dbConnect();

        //sqlの準備
        $sql="SELECT * FROM road_table";

        //sqlの実行
        $stmt = $dbh->query($sql);

        //sqlの結果を受け取る
        $result = $stmt->fetchAll(PDO::FETCH_ASSOC);

        return $result;
    }

    //要求されたIDに該当する情報をデータベースから取り出す
    public function getById($id){
        
        if(empty($id)){
            exit('IDが不正です');
        }       
        
        $dbh=$this->dbConnect();

        //sqlの準備
        $stmt=$dbh->prepare("SELECT*FROM road_table Where id=:id");
        $stmt->bindValue(':id', (int)$id, PDO::PARAM_INT);
        
        //sqlの実行
        $stmt->execute();

        //結果を取得
        $result=$stmt->fetch(PDO::FETCH_ASSOC);
        
        if(!$result){
            exit('該当する情報がありません');
        }

        return $result;
    }

    //選択されていれるIDの情報をデータベースに上書き保存
    public function dataUpdate($id,$astate,$registrant,$reportDay,$reportTime,$lat,$lon,$facility,$substance,$urgency,$caption,$contractor,$completionDay,$comment){
        $sql="UPDATE road_table SET astate=?,registrant=?,reportDay=?,reportTime=?,lat=?,lon=?,facility=?,substance=?,urgency=?,caption=?,contractor=?,completionDay=?,comment=? WHERE id=?";

        $dbh=$this->dbConnect();

        try{
            $stmt=$dbh->prepare($sql);            
            $stmt->bindValue(1,$astate);
            $stmt->bindValue(2,$registrant);
            $stmt->bindValue(3,$reportDay);
            $stmt->bindValue(4,$reportTime);
            $stmt->bindValue(5,$lat);
            $stmt->bindValue(6,$lon);
            $stmt->bindValue(7,$facility);
            $stmt->bindValue(8,$substance);
            $stmt->bindValue(9,$urgency);
            $stmt->bindValue(10,$caption);
            $stmt->bindValue(11,$contractor);
            $stmt->bindValue(12,$completionDay);
            $stmt->bindValue(13,$comment);
            $stmt->bindValue(14,$id);

            $stmt->execute();

            echo'内容を更新しました';
        }catch(PDOException $e){
            exit($e);
        }
    }

    //選択されていれるIDの画像1の情報をデータベースに保存
    public function dataUpdate1($id,$filePath1){
        $sql="UPDATE road_table SET filePath1=? WHERE id=?";
        $dbh=$this->dbConnect();
        try{
            $stmt=$dbh->prepare($sql);
            
            $stmt->bindValue(1,$filePath1);
            $stmt->bindValue(2,$id);

            $stmt->execute();

        }catch(PDOException $e){
            exit($e);
        }
    }

    //選択されていれるIDの画像2の情報をデータベースに保存
    public function dataUpdate2($id,$filePath2){
        $sql="UPDATE road_table SET filePath2=? WHERE id=?";
        $dbh=$this->dbConnect();
        try{
            $stmt=$dbh->prepare($sql);

            $stmt->bindValue(1,$filePath2);
            $stmt->bindValue(2,$id);

            $stmt->execute();

        }catch(PDOException $e){
            exit($e);
        }
    }

    //選択されていれるIDの画像3の情報をデータベースに保存
    public function dataUpdate3($id,$filePath3){
        $sql="UPDATE road_table SET filePath3=? WHERE id=?";
        $dbh=$this->dbConnect();
        try{
            $stmt=$dbh->prepare($sql);

            $stmt->bindValue(1,$filePath3);
            $stmt->bindValue(2,$id);

            $stmt->execute();

        }catch(PDOException $e){
            exit($e);
        }
    }

    //選択されていれるIDの画像4の情報をデータベースに保存
    public function dataUpdate4($id,$filePath4){
        $sql="UPDATE road_table SET filePath4=? WHERE id=?";
        $dbh=$this->dbConnect();
        try{
            $stmt=$dbh->prepare($sql);

            $stmt->bindValue(1,$filePath4);
            $stmt->bindValue(2,$id);

            $stmt->execute();

        }catch(PDOException $e){
            exit($e);
        }
    }

    //データベースから情報を削除する
    public function delete($id){
        if(empty($id)){
            exit('IDが不正です');
        }

        $dbh=$this->dbConnect();

        $stmt=$dbh->prepare("DELETE FROM road_table Where id=:id");
        $stmt->bindValue(':id',(int)$id,PDO::PARAM_INT);

        $stmt->execute();

        echo '削除が完了しました';
    }

}

?>
