<?php
session_start();

//ログイン済みかを確認
if (!isset($_SESSION['USER'])) {
    header('Location: ./login.php');
    exit;
}

ini_set('display_errors',"On");

require_once('./sqlEngine.php');

//sqlEngine.phpのインスタンス
$sqleg=new Sqe();

//すべてのデータを取得
$fdatas=$sqleg->getAll();

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>道路管理Webシステム</title>
    <link rel = "stylesheet" href = "./topPage_style.css" />
    <script src="https://unpkg.com/leaflet@1.3.0/dist/leaflet.js"></script>
</head>
<body onload="init()">

    <header>
        <div class="inner">
            <div class="denote_l">
            </div>
            <p class="btn"><a href="./anomalyCreate.php">異常箇所登録</a></p>
            <p class="btn"><a href="./dataList.php">一覧表示</a></p>
        </div>
    </header>

    <main>
        <p><div id="map_10" style="width: 100%; height: 450px; border: solid 1px"></div></p>
        <div class="inner">
            <div class="area">
                <p class="btn"><button onclick="allShow()">すべて表示</button></p>
                <p class="btn"><button onclick="notSupShow()">未対応を表示</button></p>
                <p class="btn"><button onclick="notCompShow()">未完了を表示</button></p>
                <p class="btn"><button onclick="doReload()">クリア</button></p>
            </div>
        </div>
    </main>

    <script>
        var map_10 = L.map('map_10').setView([35.65856, 139.745461], 18);
        function init() {
            L.tileLayer('https://cyberjapandata.gsi.go.jp/xyz/std/{z}/{x}/{y}.png', {
                attribution:
                 "<a href='https://maps.gsi.go.jp/development/ichiran.html' target='_blank'>地理院タイル</a>"
            }).addTo(map_10);    
        }
        
        var Layer_10 = new Array();
        var Markers_shape = new Array();
        var Markers_shape_pos = new Array();
        var Markers_shape_nam = new Array();
        var Markers_shape_lnk = new Array();
        var Markers_shape_icn = new Array();

        function allShow(){
            var ii=0;
            <?php foreach ($fdatas as $column): ?>
                Markers_shape_pos[ ii ] =
                 [<?php echo $column['lat'] ?>, <?php echo $column['lon'] ?>];
                Markers_shape_lnk[ ii ] = 
                "<a href= './upLoad.php?id=<?php echo $column['id'] ?>
                ' target='_blank'>更新</a>";
                Markers_shape_icn[ ii ] = L.icon({
                    iconUrl: "<?php if((int)$column['astate']===1){echo './marker/red.png';}
                    elseif((int)$column['astate']===2){echo './marker/yel.png';}
                    elseif((int)$column['astate']===3){echo './marker/green.png';}
                    elseif((int)$column['astate']===4){echo './marker/blue.png';}
                    else{echo './marker/black.png';} ?>",
                    iconSize: [32, 32],
                    iconAnchor: [16, 32],
                    popupAnchor: [0, -16]
                });

                if(Markers_shape_pos[ii]!=null){
                    Markers_shape[ ii ] = L.marker([ Markers_shape_pos[ 0 ][ 0 ],
                     Markers_shape_pos[ 0 ][ 1 ] ],{icon: Markers_shape_icn[ ii ]});
                    Markers_shape[ ii ].bindPopup(Markers_shape_lnk[ ii ] ).openPopup();
                    Layer_10[ ii ] = Markers_shape[ ii ];
                    Layer_10[ ii ].addTo(map_10);
                }
            <?php endforeach; ?>
        }

        function notSupShow(){
            var ii=0;
        <?php foreach ($fdatas as $column): ?>
            Markers_shape_pos[ ii ] = [<?php echo $column['lat'] ?>, <?php echo $column['lon'] ?>];
            Markers_shape_lnk[ ii ] = "<a href= './upLoad.php?id=<?php echo $column['id'] ?>' target='_blank'>更新</a>";
            Markers_shape_icn[ ii ] = L.icon({
            iconUrl: "<?php if((int)$column['astate']===1){echo './marker/red.png';
            }elseif((int)$column['astate']===2){echo './marker/yel.png';}
            elseif((int)$column['astate']===3){echo './marker/green.png';}
            elseif((int)$column['astate']===4){echo './marker/blue.png';}
            else{echo './marker/black.png';} ?>",
            iconSize: [32, 32],
            iconAnchor: [16, 32],
            popupAnchor: [0, -16]
            });
            

            if(Markers_shape_pos[ii]!=null){
                Markers_shape[ ii ] = L.marker([ Markers_shape_pos[ 0 ][ 0 ],
                 Markers_shape_pos[ 0 ][ 1 ] ],{icon: Markers_shape_icn[ ii ]});
                Markers_shape[ ii ].bindPopup(Markers_shape_lnk[ ii ] ).openPopup();
                Layer_10[ ii ] = Markers_shape[ ii ];
                <?php if($column['astate']===1) echo 'Layer_10[ ii ].addTo(map_10)'?>;
            }
        <?php endforeach; ?>
        }

        function notCompShow(){
        var ii=0;
        <?php foreach ($fdatas as $column): ?>
            Markers_shape_pos[ ii ] = [<?php echo $column['lat'] ?>, <?php echo $column['lon'] ?>];
            Markers_shape_lnk[ ii ] = "<a href= './upLoad.php?id=<?php echo $column['id'] ?>' target='_blank'>更新</a>";
            Markers_shape_icn[ ii ] = L.icon({
            iconUrl: "<?php if((int)$column['astate']===1){echo './marker/red.png';}
            elseif((int)$column['astate']===2){echo './marker/yel.png';}
            elseif((int)$column['astate']===3){echo './marker/green.png';}
            elseif((int)$column['astate']===4){echo './marker/blue.png';}
            else{echo './marker/black.png';} ?>",
            iconSize: [32, 32],
            iconAnchor: [16, 32],
            popupAnchor: [0, -16]
            });
            

            if(Markers_shape_pos[ii]!=null){
                Markers_shape[ ii ] = L.marker([ Markers_shape_pos[ 0 ][ 0 ],
                 Markers_shape_pos[ 0 ][ 1 ] ],{icon: Markers_shape_icn[ ii ]});
                Markers_shape[ ii ].bindPopup(Markers_shape_lnk[ ii ] ).openPopup();
                Layer_10[ ii ] = Markers_shape[ ii ];
                <?php if($column['astate']===1 || $column['astate']===2 ||
                 $column['astate']===3 || $column['astate']===4) 
                 echo 'Layer_10[ ii ].addTo(map_10)'?>;
            }
        <?php endforeach; ?>
        }

        function doReload(){
            window.location.reload();
        }


    </script>    
</body>
</html>