<?php
session_start();

//ログイン済みかを確認
if (!isset($_SESSION['USER'])) {
    header('Location: ./login.php');
    exit;
}

ini_set('display_errors',"On");

//特殊文字をテキスト化する関数
function h($s){
    return htmlspecialchars($s,ENT_QUOTES,"UTF-8");
}

//id番号を取得
$id=$_GET['id'];

require_once('./sqlEngine.php');
//sqlEngine.phpのインスタンス
$sqleg=new Sqe();

//該当IDの情報取得
$result=$sqleg->getById($id);

//取り出した情報を変数に格納
$id=$result['id'];
$astate=$result['astate'];
$registrant=$result['registrant'];
$reportDay=$result['reportDay'];
$reportTime=$result['reportTime'];
$lat=$result['lat'];
$lon=$result['lon'];
$facility=$result['facility'];
$substance=$result['substance'];
$urgency=$result['urgency'];
$caption=$result['caption'];
$filePath1=$result['filePath1'];
$filePath2=$result['filePath2'];
$filePath3=$result['filePath3'];
$filePath4=$result['filePath4'];
$contractor=$result['contractor'];
$completionDay=$result['completionDay'];
$comment=$result['comment'];

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>内容更新</title>
    <style type="text/css">
        body{
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #666;
                width: 100%;
        }

        body .inner{
           max-width: 520px;
           margin: 0 auto; 
        }

        body .inner .btn{
            text-align: right;
        }

        body .inner h2{
            text-align: center;
        }

        body .inner p{
            color: royalblue;
        }

        body .inner .container p{
            display: inline-block;
            margin: 20px 20px;
            color: royalblue;
        }

        body .inner .container input{
            display: inline-block;
            margin: 20px 20px;
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #666;
        }

        body .inner textarea{
            display: inline-block;
            margin: 20px 20px;
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #666;
        }

        body .inner label{
            margin: 10px 10px;
        }

        body .inner #submit{
            display: inline-block;
            margin: 20px 20px;
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #666;
            font-weight: bold;
            color: blue;
        }

        body .inner #button{
            display: inline-block;
            margin: 20px 20px;
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #666;
        }

        body .inner #btn1{
            display: block;
            margin: 20px 20px;
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #fff;
                background-color: red;
                text-align: right;
        }


        body .inner #img{
            display: inline-block;
            margin: 20px 20px;
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #666;
        }

        .btn a{
            height: 44px;
            border-radius: 22px;
            padding: 10px 20px;
            background-color: #6c757d;
            color: #fff;
            line-height: 44px;
            text-decoration: none;
        }

        body .inner img{
            width: 100%;
        }
    </style>
</head>
<body>
    <div class="inner">
        <h2>異常箇所の内容更新</h2>
        <form enctype="multipart/form-data" action="./upLoadProcessing.php" method="POST">
            <input type="hidden" name="id" value="<?php echo h($id) ?>" />
            <div class="container">
                <p>※発見者</p>
                <input type="text" name="registrant" placeholder="10文字以下" value="<?php echo h($registrant) ?>">
            </div>
            <div class="container">
                <p>発見日</p>
                <input type="date" name="reportDay" value="<?php echo h($reportDay) ?>">
            </div>
            <div class="container">
                <p>発見時間</p>
                <input type="time" name="reportTime" value="<?php echo h($reportTime) ?>">
            </div>

            <p>※位置</p>
            <div class="container">
            <p>緯度</p>
            <input type="text" name="lat" value="<?php echo h($lat) ?>">
            </div>
            <div class="container">
            <p>経度</p>
            <input type="text" name="lon" value="<?php echo h($lon) ?>">
            </div>
            <p>分類(施設)</p>
            <label><input type="radio" name="facility" value="1" <?php if((int)$facility===1) echo "checked" ?>>路面</label>
            <label><input type="radio" name="facility" value="2" <?php if((int)$facility===2) echo "checked" ?>>路面(側)</label>
            <label><input type="radio" name="facility" value="3" <?php if((int)$facility===3) echo "checked" ?>>法面</label>
            <label><input type="radio" name="facility" value="4" <?php if((int)$facility===4) echo "checked" ?>>擁壁</label>
            <label><input type="radio" name="facility" value="5" <?php if((int)$facility===5) echo "checked" ?>>排水施設</label>
            <label><input type="radio" name="facility" value="6" <?php if((int)$facility===6) echo "checked" ?>>橋梁</label>
            <label><input type="radio" name="facility" value="7" <?php if((int)$facility===7) echo "checked" ?>>歩道</label>
            <label><input type="radio" name="facility" value="8" <?php if((int)$facility===8) echo "checked" ?>>道路標識</label>
            <label><input type="radio" name="facility" value="9" <?php if((int)$facility===9) echo "checked" ?>>植栽帯</label>
            <label><input type="radio" name="facility" value="10" <?php if((int)$facility===10) echo "checked" ?>>冬季交通確保</label>
            <label><input type="radio" name="facility" value="11" <?php if((int)$facility===11) echo "checked" ?>>道路状況</label>
            <label><input type="radio" name="facility" value="12" <?php if((int)$facility==12) echo "checked" ?>>その他</label>
            <br>
            <br>
            <p>※異常内容</p>
            <label><input type="radio" name="substance" value="1" <?php if((int)$substance===1) echo "checked" ?>>路面補修</label>
            <label><input type="radio" name="substance" value="2" <?php if((int)$substance===2) echo "checked" ?>>路面清掃</label>
            <label><input type="radio" name="substance" value="3" <?php if((int)$substance===3) echo "checked" ?>>法面復旧</label>
            <label><input type="radio" name="substance" value="4" <?php if((int)$substance===4) echo "checked" ?>>落下物処理</label>
            <label><input type="radio" name="substance" value="5" <?php if((int)$substance==5) echo "checked" ?>>死骸撤去</label>
            <label><input type="radio" name="substance" value="6" <?php if((int)$substance===6) echo "checked" ?>>除草</label>
            <label><input type="radio" name="substance" value="7" <?php if((int)$substance===7) echo "checked" ?>>支障木撤去</label>
            <label><input type="radio" name="substance" value="8" <?php if((int)$substance===8) echo "checked" ?>>側溝清掃</label>
            <label><input type="radio" name="substance" value="9" <?php if((int)$substance===9) echo "checked" ?>>視線誘導標修繕</label>
            <label><input type="radio" name="substance" value="10" <?php if((int)$substance===10) echo "checked" ?>>資材支給</label>
            <label><input type="radio" name="substance" value="11" <?php if((int)$substance===11) echo "checked" ?>>その他</label>
            <br>
            <br>
            <p>緊急度</p>
            <label><input type="radio" name="urgency" value="1" <?php if((int)$urgency===1) echo "checked" ?>>指定無し</label>
            <label><input type="radio" name="urgency" value="2" <?php if((int)$urgency===2) echo "checked" ?>>至急</label>
            <label><input type="radio" name="urgency" value="3" <?php if((int)$urgency===3) echo "checked" ?>>3日以内</label>
            <label><input type="radio" name="urgency" value="4" <?php if((int)$urgency===4) echo "checked" ?>>1週間以内</label>
            <label><input type="radio" name="urgency" value="5" <?php if((int)$urgency===5) echo "checked" ?>>2週間以内</label>
            <label><input type="radio" name="urgency" value="6" <?php if((int)$urgency===6) echo "checked" ?>>1ヶ月以内</label>
            <label><input type="radio" name="urgency" value="7" <?php if((int)$urgency===7) echo "checked" ?>>1ヶ月以上</label>
            <br>
            <br>
            <p>詳細</p>
            <textarea
                name="caption"
                placeholder="詳細内容は200文字以下"
                cols="55" rows="8"
                id="caption"
            ><?php echo nl2br(h($caption)) ?></textarea>

             <!--ここから追加分部 -->
             <p>状態</p>
             <label><input type="radio" name="astate" value="1" <?php if((int)$astate===1) echo "checked" ?>>未処置</label>
            <label><input type="radio" name="astate" value="2" <?php if((int)$astate===2) echo "checked" ?>>現場確認済</label>
            <label><input type="radio" name="astate" value="3" <?php if((int)$astate===3) echo "checked" ?>>応急処置済</label>
            <label><input type="radio" name="astate" value="4" <?php if((int)$astate===4) echo "checked" ?>>業者依頼済</label>
            <label><input type="radio" name="astate" value="5" <?php if((int)$astate===5) echo "checked" ?>>処置完了</label>
            <br>
            <br>
            <p>発見時の写真(作業前)</p>
            <div class="file-up">
                <input type="hidden" name="MAX_FILE_SIZE" value="4194304" />
                <input name="img1" type="file" accept="image/*" id='img'/>
                <img src="<?php echo "{$filePath1}" ?>" alt="">
                <input name="img2" type="file" accept="image/*" id='img'/>
                <img src="<?php echo "{$filePath2}" ?>" alt="">
            </div>
            <br>
            <br>

            <div class="container">
                <p>作業(工事)依頼業者</p>
                <input type="text" name="contractor" placeholder="10文字以下" value="<?php echo h($contractor) ?>">
            </div>
            <div class="container">
                <p>作業(工事)完了日</p>
                <input type="date" name="completionDay" value="<?php echo h($completionDay) ?>">
            </div>
            <p>完了時の写真(作業後)</p>
            <div class="file-up">
                <input type="hidden" name="MAX_FILE_SIZE" value="2097152" />
                <input name="img3" type="file" accept="image/*" id='img'/>
                <img src="<?php echo "{$filePath3}" ?>" alt="">
                <input name="img4" type="file" accept="image/*" id='img'/>
                <img src="<?php echo "{$filePath4}" ?>" alt="">
            </div>
            <p>コメント</p>
            <textarea
                name="comment"
                placeholder="コメントは200文字以下"
                cols="55" rows="8"
                id="comment"
            ><?php echo nl2br(h($comment)) ?></textarea>
            <br>
            <br>
            <input id="submit" type="submit" value="上記の内容で更新する" class="btn" />

        </form>

        <form action="./delete.php" method="post" onsubmit="return submitChk()">
            <input type="hidden" name="id" value="<?php echo h($id) ?>">
            <input type="submit" value="削除する" id="btn1">
        </form>

        <input type="button" onclick="window.close();" value="閉じる" id='button'>

        <script>
            function submitChk(){
                var flag=confirm("削除してもよろしいですか?\n\n
                削除するとこのデータは復旧できません。\n\n
                削除したくない場合は「キャンセル」ボタンを押してください。");
                return flag;
            }
        </script>

    </div>   
</body>
</html>