<?php

session_start();

//ログイン済みかを確認
if (!isset($_SESSION['USER'])) {
    header('Location: ./login.php');
    exit;
}

ini_set('display_errors',"On");

//ファイル関連の取得
$file1=$_FILES["img1"];
$fileName1=basename($file1['name']);
$tmpPath1=$file1['tmp_name'];
$fileErr1=$file1['error'];
$fileSize1=$file1['size'];
$uploadDir1='./images/';
$saveFileName1=date('YmdHis') . $fileName1;
$filePath1=$uploadDir1.$saveFileName1;

$file2=$_FILES["img2"];
$fileName2=basename($file2['name']);
$tmpPath2=$file2['tmp_name'];
$fileErr2=$file2['error'];
$fileSize2=$file2['size'];
$uploadDir2='./images/';
$saveFileName2=date('YmdHis') . $fileName2;
$filePath2=$uploadDir2.$saveFileName2;

$file3=$_FILES["img3"];
$fileName3=basename($file3['name']);
$tmpPath3=$file3['tmp_name'];
$fileErr3=$file3['error'];
$fileSize3=$file3['size'];
$uploadDir3='./images/';
$saveFileName3=date('YmdHis') . $fileName3;
$filePath3=$uploadDir3.$saveFileName3;

$file4=$_FILES["img4"];
$fileName4=basename($file4['name']);
$tmpPath4=$file4['tmp_name'];
$fileErr4=$file4['error'];
$fileSize4=$file4['size'];
$uploadDir4='./images/';
$saveFileName4=date('YmdHis') . $fileName4;
$filePath4=$uploadDir4.$saveFileName4;

//IDの取得
$id=filter_input(INPUT_POST,'id',FILTER_SANITIZE_SPECIAL_CHARS);

//状態の取得
$astate=filter_input(INPUT_POST,'astate',FILTER_SANITIZE_SPECIAL_CHARS);

//登録者(発見者)の取得
$registrant=filter_input(INPUT_POST,'registrant',FILTER_SANITIZE_SPECIAL_CHARS);

//通報日(発見日)の取得
$reportDay=filter_input(INPUT_POST,'reportDay',FILTER_SANITIZE_SPECIAL_CHARS);

//通報時間(発見時間)の取得
$reportTime=filter_input(INPUT_POST,'reportTime',FILTER_SANITIZE_SPECIAL_CHARS);

//位置の取得
$lat=filter_input(INPUT_POST,'lat',FILTER_SANITIZE_SPECIAL_CHARS);

$lon=filter_input(INPUT_POST,'lon',FILTER_SANITIZE_SPECIAL_CHARS);

//分類(施設)の取得
$facility=filter_input(INPUT_POST,'facility',FILTER_SANITIZE_SPECIAL_CHARS);

//異常内容の取得
$substance=filter_input(INPUT_POST,'substance',FILTER_SANITIZE_SPECIAL_CHARS);

//緊急度の取得
$urgency=filter_input(INPUT_POST,'urgency',FILTER_SANITIZE_SPECIAL_CHARS);

//詳細の取得
$caption=filter_input(INPUT_POST,'caption',FILTER_SANITIZE_SPECIAL_CHARS);

//作業(工事)依頼業者の取得
$contractor=filter_input(INPUT_POST,'contractor',FILTER_SANITIZE_SPECIAL_CHARS);

//作業(工事)完了日の取得
$completionDay=filter_input(INPUT_POST,'completionDay',FILTER_SANITIZE_SPECIAL_CHARS);

//作業(工事)完了日の取得
$comment=filter_input(INPUT_POST,'comment',FILTER_SANITIZE_SPECIAL_CHARS);

$errMsgs=array();

//バリデーション
if(empty($registrant)){
    array_push($errMsgs,'発見者を入力してください。');
}

if(empty($lat)){
    array_push($errMsgs,'緯度を指定してください。');
}

if(empty($lon)){
    array_push($errMsgs,'経度を指定してください。');
}

if($lat===0){
    array_push($errMsgs,'緯度を指定してください。');
}

if($lon===0){
    array_push($errMsgs,'経度を指定してください。');
}

if(mb_strlen($registrant)>30){
    array_push($errMsgs,'発見者は10文字までにしてください。');
}

if(mb_strlen($caption)>600){
    array_push($errMsgs,'詳細内容は200文字以内にしてください。');
}

if(mb_strlen($contractor)>30){
    array_push($errMsgs,'作業(工事)依頼業者は10文字までにしてください。');
}

if(mb_strlen($comment)>600){
    array_push($errMsgs,'コメントは200文字以内にしてください。');
}

//ファイルサイズが4MB未満か？
if($fileSize1>4194304 || $fileErr1==2){
    array_push($errMsgs,'発見時の写真(作業前)1のサイズは4MB未満にしてください。');
}

if($fileSize2>4194304 || $fileErr2==2){
    array_push($errMsgs,'発見時の写真(作業前)2のサイズは4MB未満にしてください。');
}

if($fileSize3>4194304 || $fileErr3==2){
    array_push($errMsgs,'完了時の写真(作業後)1のサイズは4MB未満にしてください。');
}

if($fileSize4>4194304 || $fileErr4==2){
    array_push($errMsgs,'完了時の写真(作業後)2のサイズは4MB未満にしてください。');
}

//拡張子は画像形式か？
if(!empty($fileName1)){
    $allow_ext1=array('jpg','jpeg','png','gif','tiff','tif');
    $file_ext1=pathinfo($fileName1,PATHINFO_EXTENSION);//拡張子を取得
    if(!in_array(strtolower($file_ext1),$allow_ext1)){
        array_push($errMsgs,'発見時の写真(作業前)1は画像ファイルを選択してください。');
    }
}

if(!empty($fileName2)){
    $allow_ext2=array('jpg','jpeg','png','gif','tiff','tif');
    $file_ext2=pathinfo($fileName2,PATHINFO_EXTENSION);//拡張子を取得
    if(!in_array(strtolower($file_ext2),$allow_ext2)){
        array_push($errMsgs,'発見時の写真(作業前)2は画像ファイルを選択してください。');
    }
}

if(!empty($fileName3)){
    $allow_ext3=array('jpg','jpeg','png','gif','tiff','tif');
    $file_ext3=pathinfo($fileName3,PATHINFO_EXTENSION);//拡張子を取得
    if(!in_array(strtolower($file_ext3),$allow_ext3)){
        array_push($errMsgs,'完了時の写真(作業後)1は画像ファイルを選択してください。');
    }
}

if(!empty($fileName4)){
    $allow_ext4=array('jpg','jpeg','png','gif','tiff','tif');
    $file_ext4=pathinfo($fileName4,PATHINFO_EXTENSION);//拡張子を取得
    if(!in_array(strtolower($file_ext4),$allow_ext4)){
        array_push($errMsgs,'完了時の写真(作業後)2は画像ファイルを選択してください。');
    }
}

require_once('./sqlEngine.php');

//sqlEngine.phpのインスタンス
$sqleg=new Sqe();

if(count($errMsgs)=== 0){
    //画像ファイル以外を上書き保存
    $sqleg->dataUpdate($id,$astate,$registrant,$reportDay,$reportTime,$lat,$lon,$facility,$substance,$urgency,$caption,$contractor,$completionDay,$comment);

    //画像ファイル1を保存
    //画像ファイル1があるかどうか？
    if(is_uploaded_file($tmpPath1)){
        //既存ファイル1を 削除
        $result=$sqleg->getById($id);
        if(!empty($result['filePath1'])){
            unlink($result['filePath1']);
        }
        //画像ファイル1があればサーバーに保存
        if(move_uploaded_file($tmpPath1,$filePath1)){
            $sqleg->dataUpdate1($id,$filePath1);
        }
    }

    //画像ファイル2を保存
    //画像ファイル2があるかどうか？
    if(is_uploaded_file($tmpPath2)){
        //既存ファイル2を 削除
        $result=$sqleg->getById($id);
        if(!empty($result['filePath2'])){
            unlink($result['filePath2']);
        }
        //画像ファイル2があればサーバーに保存
        if(move_uploaded_file($tmpPath2,$filePath2)){
            $sqleg->dataUpdate2($id,$filePath2);
        }
    }

    //画像ファイル3を保存
    //画像ファイル3があるかどうか？
    if(is_uploaded_file($tmpPath3)){
        //既存ファイル3を 削除
        $result=$sqleg->getById($id);
        if(!empty($result['filePath3'])){
            unlink($result['filePath3']);
        }
        //画像ファイル3があればサーバーに保存
        if(move_uploaded_file($tmpPath3,$filePath3)){
            $sqleg->dataUpdate3($id,$filePath3);
        }
    }

    //画像ファイル4を保存
    //画像ファイル4があるかどうか？
    if(is_uploaded_file($tmpPath4)){
        //既存ファイル4を 削除
        $result=$sqleg->getById($id);
        if(!empty($result['filePath4'])){
            unlink($result['filePath4']);
        }
        //画像ファイル4があればサーバーに保存
        if(move_uploaded_file($tmpPath4,$filePath4)){
            $sqleg->dataUpdate4($id,$filePath4);
        }
    }
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>内容更新</title>
    <style type="text/css">
        body{
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #666;
                width: 100%;
        }

        .btn a{
            height: 44px;
            border-radius: 22px;
            padding: 10px 20px;
            background-color: #6c757d;
            color: #fff;
            line-height: 44px;
            text-decoration: none;
        }
    </style>
</head>
<body>
<?php if($errMsgs>0 ) foreach($errMsgs as $msg):?>
<p><?php echo $msg . '<br>'; ?></p>
<?php endforeach;?>
<p class="btn"><a href="./upLoad.php?id=<?php echo $id ?>"> 戻る</a></p>  
</body>
</html>
